%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXvMC runtime library
Name: 		libXvMC
Version: 	1.0.4
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXv-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXvMC runtime library

%package devel
Summary: 	X.Org X11 libXvMC development package
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

Requires: 	libXv-devel, xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXvMC development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Touch XvMCConfig for rpm to package the ghost file. (#192254)
{
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11
    touch $RPM_BUILD_ROOT%{_sysconfdir}/X11/XvMCConfig
}

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXvMC.so.1
%{_libdir}/libXvMC.so.1.0.0
%{_libdir}/libXvMCW.so.1
%{_libdir}/libXvMCW.so.1.0.0
%ghost %config(missingok,noreplace) %verify (not md5 size mtime) %{_sysconfdir}/X11/XvMCConfig

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/XvMClib.h
%if %{with_static}
%{_libdir}/libXvMC.a
%{_libdir}/libXvMCW.a
%endif
%{_libdir}/libXvMC.so
%{_libdir}/libXvMCW.so
%{_libdir}/pkgconfig/xvmc.pc

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
